/**
 * @class MCTesterEvent
 * @brief Allows to pass the event record data in F77 format
 *
 * This class allows to pass the event record data to
 * MC-Tester in form of F77 Common Block /MCTEVT/
 *
 * The syntax of this common block is identical to HEPEVT
 * The size of this event record is 2000
 *
 * Kept for backward compatibility
 */
#ifndef __MCTESTEREVENT_H_
#define __MCTESTEREVENT_H_

#include "HEPEVTEvent.H"

#ifdef _USE_ROOT_
#include <TObject.h>
#endif

extern "C" HepevtCommon mctevt_;

class MCTesterEvent : public HEPEVTEvent
#ifdef _USE_ROOT_
 , public TObject
#endif
 {

    public:
	MCTesterEvent();

    ClassDef (MCTesterEvent,1) // Event record MCTEVT for MCTester
};


extern "C" MCTesterEvent MCTEVT;

#endif
